#ifndef __NLSYS_LIB_H_INCLUDED__
#define __NLSYS_LIB_H_INCLUDED__

#define ERREXITAT(line, code) error_exit(line, code, __FILE__, __LINE__)
#define ERREXIT(code) ERREXITAT(0, code)

void saveline(int line);
int loadline(void);
void error_exit(int line, int code, char *filename, int fileline);

void indent_print(int num);

#endif
